curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/tracking' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"order_id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"expected_at": {
"final_results": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
},
"collected_at": {
"collected_at": "2026-10-20T09:00:00Z",
"is_inferred": false,
"inferred_from": null
},
"markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234",
"status": "pending",
"expected_at": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
},
"results": [
{
"id": 101,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234"
}
]
}
],
"updates": [
{
"created_at": "2026-10-22T10:00:00Z",
"reason": "The lab needs additional processing time.",
"revised_estimate": "2026-10-26T17:00:00Z",
"source": "lab",
"impacted_markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"provider_id": "1234",
"estimates": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
}
]
}
]
}
Orders
Get order tracking
Retrieve completion estimates, marker progress, and ETA revisions for an order.
GET
/
v3
/
order
/
{order_id}
/
tracking
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/tracking' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"order_id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"expected_at": {
"final_results": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
},
"collected_at": {
"collected_at": "2026-10-20T09:00:00Z",
"is_inferred": false,
"inferred_from": null
},
"markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234",
"status": "pending",
"expected_at": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
},
"results": [
{
"id": 101,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234"
}
]
}
],
"updates": [
{
"created_at": "2026-10-22T10:00:00Z",
"reason": "The lab needs additional processing time.",
"revised_estimate": "2026-10-26T17:00:00Z",
"source": "lab",
"impacted_markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"provider_id": "1234",
"estimates": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
}
]
}
]
}
Coming soon. Interested in this feature? Get in touch with your Customer Success Manager.
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/tracking' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
{
"order_id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
"expected_at": {
"final_results": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
},
"collected_at": {
"collected_at": "2026-10-20T09:00:00Z",
"is_inferred": false,
"inferred_from": null
},
"markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234",
"status": "pending",
"expected_at": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
},
"results": [
{
"id": 101,
"name": "Hemoglobin A1c",
"slug": "hemoglobin-a1c",
"provider_id": "1234"
}
]
}
],
"updates": [
{
"created_at": "2026-10-22T10:00:00Z",
"reason": "The lab needs additional processing time.",
"revised_estimate": "2026-10-26T17:00:00Z",
"source": "lab",
"impacted_markers": [
{
"id": 1,
"name": "Hemoglobin A1c",
"provider_id": "1234",
"estimates": {
"original_estimate": "2026-10-24T17:00:00Z",
"current_estimate": "2026-10-26T17:00:00Z"
}
}
]
}
]
}
Authorizations
Vital Team API Key
Path Parameters
Your Order ID.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?